Subject: Re: [PATCH 09/25] Port builtin-add.c to use the new option parser.

From: Pierre Habouzit <[email-masked]>
Date: Tue, 16 Oct 2007 18:55:58 +0200

On mar, oct 16, 2007 at 08:55:41 +0000, Michael Witten wrote:
> 
> On 16 Oct 2007, at 4:39:42 AM, Pierre Habouzit wrote:
> 
> >+	OPT_BOOLEAN('u', NULL, &take_worktree_changes, "update only files that 
> >git already knows about"),
> 
> "update only files in the current directory that git already knows about"

  As a general rule, as I'm not a native speaker, I'd be glad if someone
went through the diffs and made it better english. I'm not sure what the
more efficient way to merge those corrections is, as I'm not able to see
if it's any better or not. So the someone mergint it (Shawn ?) may have
to go through every OPTION_* and check the helps strings, and --amend
fixes on top of the patches if needed. It looks like the best way to me.

  Alternatively, a native speaker could propose a 26th patch that fixes
all of the bad strings on top of this series. But again, I won't do
that, not because of lazyness, just because I can't decide :)

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org